package com.ssj.service.sys.homework.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class KnowledgeHowDetailsDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String detailId;
    private String detailName;
    private Integer selected = 0;
    private Integer detailCount = 0;
    private Integer rightCount = 0;

    private List<KnowledgeHowDetailPointDto> points = new ArrayList<>();

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName;
    }

    public Integer getSelected() {
        return selected;
    }

    public void setSelected(Integer selected) {
        this.selected = selected;
    }

    public Integer getDetailCount() {
        return detailCount;
    }

    public void setDetailCount(Integer detailCount) {
        this.detailCount = detailCount;
    }

    public Integer getRightCount() {
        return rightCount;
    }

    public void setRightCount(Integer rightCount) {
        this.rightCount = rightCount;
    }

    public List<KnowledgeHowDetailPointDto> getPoints() {
        return points;
    }

    public void setPoints(List<KnowledgeHowDetailPointDto> points) {
        this.points = points;
    }
}
